define({"0":{i:0.0590365809489316,u:"../Content/P4PHP/about.html",a:"This guide contains details about using the derived API for PHP \n to create scripts that interact with Helix Core Server. You can download the API from the\n      Perforce\n      web site at  https://www.perforce.com/downloads/helix-core-api-php . The derived API depends on the Helix C/C++ API, ...",t:"How to use this guide"},"1":{i:0.0590365809489316,u:"../Content/P4PHP/chapter_php.html",a:"Introduction P4PHP, the PHP\n      interface to the\n      Helix C/C++ API,\n      enables you to write PHP code that interacts with a Helix Core Server.\n      P4PHP\n      enables your PHP scripts to: Get\n\tHelix Server\n\tdata and forms in arrays. Edit\n\tHelix Server\n\tforms by modifying arrays. Provide ...",t:"P4PHP"},"2":{i:0.0590365809489316,u:"../Content/P4PHP/php.requirements.html",a:"P4PHP\n      is supported on Windows, Linux, FreeBSD, and OS X. For system requirements, see the release notes at  https://www.perforce.com/perforce/doc.current/user/p4phpnotes.txt .  When passing arguments, make sure to omit the space between the argument and its value, such as in the value pair -u ...",t:"System Requirements and Release Notes"},"3":{i:0.0590365809489316,u:"../Content/P4PHP/php.installation.html",a:"Installing P4PHP You can download\n      P4PHP\n      from the\n      Perforce\n      web site at  https://www.perforce.com/downloads/helix-core-api-php .  You must build the interface from source, as described in the release\n      notes packaged with\n      P4PHP.",t:"Installing P4PHP"},"4":{i:0.0590365809489316,u:"../Content/P4PHP/php.programming.html",a:"The following example illustrates the basic structure of a\n      P4PHP\n      script. The example establishes a connection, issues a command, and tests\n      for errors resulting from the command: \n\u003c?php\n\n$p4 = new P4();\n$p4-\u003eport = \"1666\";\n$p4-\u003euser = \"fred\";\n$p4-\u003eclient = \"fred-ws\";\n\ntry {\n  ...",t:"Programming with P4PHP"},"5":{i:0.0651937703730532,u:"../Content/P4PHP/php.classes.html",a:"The P4 module consists of several public classes: P4 P4_Exception P4_DepotFile P4_Revision P4_Integration P4_Map P4_MergeData P4_OutputHandlerAbstract P4_Resolver The following tables provide more details about each public class. P4 Helix Server\n      client class. Handles connection and interaction ...",t:"P4PHP Classes"},"6":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4.html",a:"Description Main interface to the PHP client API. This module provides an object-oriented interface to Helix Server, the\n      Perforce\n      version control system. Data is returned in arrays and input can also\n      be supplied in these formats. Each  P4 object represents a connection to the Helix ...",t:"Class P4"},"7":{i:0.0590365809489316,u:"../Content/P4PHP/php.p4_exception.html",a:"Description Instances of this class are raised when  P4\n      encounters an error or a warning from the server. The exception contains\n      the errors in the form of a string.  P4_Exception is\n      an extension of the standard Exception class. Class Attributes None. Static Methods None.",t:"Class P4_Exception"},"8":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4_depotfile.html",a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Server\n      depot. Each  P4_DepotFile object contains summary\n      information about the file and an array of revisions\n      ( P4_Revision objects) of that file. Currently, only\n      the ...",t:"Class P4_DepotFile"},"9":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4_revision.html",a:"Description Utility class providing easy access to the revisions of\n       P4_DepotFile objects. Created by\n      P4::run_filelog(). Properties $rev-\u003eaction -\u003e string Returns the name of the action which gave rise to this revision of the\n      file. $rev-\u003echange -\u003e long Returns the change number ...",t:"Class P4_Revision"},"10":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4_integration.html",a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4::run_filelog(). Properties $integ-\u003ehow -\u003e string Returns the type of the integration record - how that record was\n      created. $integ-\u003efile -\u003e string Returns the path to the file being ...",t:"Class P4_Integration"},"11":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4_map.html",a:"Description The  P4_Map class allows users to create and work\n      with\n      Helix Server\n      mappings, without requiring a connection to a Helix Server. Properties None. Constructor P4_Map::__construct( [ array ] ) -\u003e\n      P4_Map Constructs a new  P4_Map object. Static Methods P4_Map::join ( ...",t:"Class P4_Map"},"12":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Properties $md-\u003eyour_name -\u003e string Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. $md-\u003etheir_name -\u003e string Returns the name of \"their\" ...",t:"Class P4_MergeData"},"13":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4_outputhandler_abstract.html",a:"Description The  P4_OutputHandlerAbstract class is a handler\n      class that provides access to streaming output from the server. After\n      defining the output handler, set  $p4-\u003ehandler to\n      an instance of a subclass of\n       P4_OutputHandlerAbstract. By default,  P4_OutputHandlerAbstract ...",t:"Class P4_OutputHandlerAbstract"},"14":{i:0.0651937703730532,u:"../Content/P4PHP/php.p4_resolver.html",a:"Description P4_Resolver is a class for handling resolves in\n      Helix Server. It\n      must be subclassed, to be used; subclasses can override the\n      P4::resolve() method. When P4::run_resolve() is\n      called with a  P4_Resolver object, it calls the\n      P4_Resolver::resolve() method of the ...",t:"Class P4_Resolver"},"15":{i:0.0590365809489316,u:"../Content/P4PHP/license.statements.html",a:"Perforce Software includes software developed by the University of\n    California, Berkeley and its contributors. This product includes\n    software developed by the OpenSSL Project for use in the OpenSSL\n    Toolkit ( http://www.openssl.org/ ).\n   Perforce Software includes software from the Apache ...",t:"License Statements"},});